#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #2c7a7b;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.spinner {
    position: relative;
    width: 120px;
    height: 120px;
}

.spinner .static-image {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-image: url('static/Akchay ShrI.png');
    background-size: cover;
    background-position: center;
}

.spinner .rotating-border {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 16px solid transparent;
    border-top: 16px solid #f5f5dc;
    border-radius: 50%;
    animation: spin 2s linear infinite;
}

/* Spinner animation */
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

body {
    font-family: "Open Sans", serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5dc;
    overflow-x: hidden;
}
p{
    font-size: 1rem;
}
.carousel-item {
     height: 100vh;
     background-size: cover;
     background-position: center;
}
.carousel-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    color: white;
}
.carousel-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}
.btn-get-started {
    margin-top: 20px;
    padding: 10px 25px;
    border-radius: 50px;
    font-size: 18px;
    color: #fff;
    background-color: #3ec1d5;
    text-transform: uppercase;
}

.btn-get-started:hover {
    background-color: #fff;
    color: #3ec1d5;
}

.nav-bar{
    position: fixed;
    z-index: 1000;
}
.navbar-brand {
   font-size: 30px;
    font-family: "Cookie", serif;
    font-weight: 500;
    font-style: italic;
}
.navbar-brand a{
    font-family: "IBM Plex Mono", serif;
    font-weight: 400;
    font-style: italic;
}
.navbar-brand img {
    height: 50px;
    width: auto;
    border-radius: 50px;
}
#about {
    background-color: #f5f5dc;
    text-align: center;
}
.about-headline {
    position: relative;
    font-family: "Merriweather", serif;
    margin-bottom: 30px;
}
.about-headline h2 {
    font-size: 2.5rem;
    color: #2c7a7b;
    font-weight: bold;
    margin: 0;
}
.about-headline .underline {
    width: 60px;
    height: 4px;
    background-color: #2c7a7b;
    margin: 10px auto;
    border-radius: 2px;
}
.about-content {
    font-family: "Merriweather", serif;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 20px;
    gap: 20px;
    max-width: 1100px;
    margin: 0 auto;
    text-align: justify;
}
.about-text {
    flex: 1;
    min-width: 300px;
    max-width: 550px;
    text-align: left;

}
.about-text p,
.mission p {
    text-align: justify;
    /*font-size: 1.1rem;*/
    color: #333;
    line-height: 1.6;
}
.mission h3 {
    font-family: "Lora", serif;
    font-size: 1.5rem;
    color: #2c7a7b;
    margin-top: 20px;
}
.about-image {
    flex: 1;
    min-width: 300px;
    text-align: center;
}
.about-image img {
    width: 100%;
    max-width: 450px;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
/*.mission h3 {*/
/*    font-size: 1.6rem;*/
/*    color: #2c7a7b;*/
/*    margin-bottom: 10px;*/
/*    !*text-decoration: underline;*!*/
/*    !*text-decoration-color: #2c7a7b;*!*/
/*    !*text-decoration-thickness: 3px;*!*/
/*}*/
.mission p {
    /*font-size: 1.1rem;*/
    color: #333;
    line-height: 1.6;
}
#why-choose-us {
    background-color: #f5f5dc;
}
.why-choose-header {
    text-align: center;
    font-family: "Merriweather", serif;
    margin-bottom: 30px;
}
.why-choose-header h2 {
    /*font-size: 2.5rem;*/
    font-size: 2.5rem;
    color: #2c7a7b;
    margin: 0;
    font-weight: bold;
}
.why-choose-header .underline {
    width: 60px;
    height: 4px;
    background-color: #2c7a7b;
    margin: 10px auto 0;
    border-radius: 2px;
}
.why-choose-container .text-section .quality p{
    text-align: justify;
}
.why-choose-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    padding: 0 20px 0;
}
.image-section {
    flex: 1;
    max-width: 50%;
    text-align: center;
    padding: 20px;
}
.image-section video {
    width: 100%;
    height: auto;
    border-radius: 10px;
}
.text-section {
    color: black;
    flex: 1;
    max-width: 50%;
    padding: 20px;
}
.quality {
    margin-bottom: 20px;
}
.quality h3 {
    font-family: "Lora", serif;
    font-size: 1.5rem;
    color: #2c7a7b;
    margin-bottom: 10px;
}
.quality p {
    font-family: "Merriweather", serif;
    /*font-size: 1rem;*/
    line-height: 1.6;
}
.product-headline h2 {
    font-size: 2.5rem;
    color: #2c7a7b;
    font-family: "Merriweather", serif;
    text-align: center;
    margin: 0;
    font-weight: bold;
}
.product-headline .underline {
    width: 60px;
    height: 4px;
    background-color: #2c7a7b;
    margin: 10px auto 0;
    border-radius: 2px;
}
.product-container {
    /*display: grid;*/
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 20px;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    text-align: justify;
    display: flex;
    justify-content: space-between;
    align-items: stretch;

}
.product-card {
    font-family: "Merriweather", serif;
    background: #f5f5dc;
    border-radius: 8px;
    padding: 15px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
}
.product-card:hover {
    transform: scale(1.03);
}
.product-image {
    padding-top: 0;
    width: 100%;
    height: 300px;
    border-radius: 8px;
    object-fit: contain;
    padding-bottom: 0;
}
.product-title {
    font-family: "Lora", serif;
    font-size: 1.5rem;
    margin: 10px 0;
    color: #333;
}
.product-description {
    color: black;
    margin: 10px 0;
    text-align: justify;
    /*font-size:1.1rem;*/
}

.product-card h6{
    font-family: "Merriweather", serif;
    font-size: 1.25rem;
    padding-top: 0;

}
.product-card ul {
    padding-left: 20px;
}
.product-card ul li {
    text-align: justify;
    font-size: 1rem;
}

.fixed-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(245, 245, 220, 0.7);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 1100;
    padding: 10px 20px;
}
.fixed-nav .navbar-brand img {
    max-height: 50px;
    margin-right: 10px;
}
.fixed-nav .navbar-nav .nav-link {
    color: green;
    margin: 0 10px;
    transition: color 0.3s ease;
}
.fixed-nav .navbar-nav .nav-link:hover {
    color: #ff5733;
}
/* Fullscreen Navigation */
.fullscreen-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #f5f5dc;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1050;
}
.fullscreen-nav.active {
    display: flex;
}
.fullscreen-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
}
.fullscreen-menu li {
    margin: 15px 0;
}
.fullscreen-menu a {
    color: green;
    text-decoration: none;
    font-size: 1.5rem;
    transition: color 0.3s;
}
.fullscreen-menu a:hover {
    color: #ff5733;
}
#modal-description h6{
    float: left;
}
#modal-description ul{
    float: left;
}
#modal-description ul li{
    align-content: start;
}
.leaflet-control-attribution {
    display: none;
}
.footer {
    background-color: #2c7a7b;
    color: #f5f5dc;
    padding: 20px;
    font-size: 14px;
}
.contact-us {
    font-family: "Merriweather", serif;
    text-align: center;
    margin-bottom: 10px;
}
.contact-us h2 {
    font-size: 2.8rem;
    color: #f5f5dc;
}
.green-line {
    height: 2px;
    background-color: black;
    width: 60px;
    margin: 10px auto;
}
.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: nowrap;
}
.footer-address {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 10px;
    color: #f5f5dc;
    font-size: 18px;
}
.footer-address div {
    width: 30%;
    padding: 10px;
    text-align: center;
}
.footer-address a {
    color: #f5f5dc;
    text-decoration: none;
}
.footer-address a:hover {
    color: #333333;
    transition: color 0.3s ease, text-decoration 0.3s ease;
}
.vertical-divider {
    border-left: 2px solid black;
    height: 100%;
    margin: 10px 0;
}

.footer-copyright {
    text-align: center;
    font-size: 16px;
    margin-top: 20px;
    color: #f5f5dc;
}
.social-icons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.whatsapp-float {
    position: fixed;
    bottom: 20px;
    right: 20px;
    transition: transform 0.3s ease;
}
.whatsapp-float img {
    width: 60px;
    height: 60px;
    border-radius: 80px;
}
.whatsapp-float:hover {
    transform: scale(1.1);
}
